<div class="modal-header">
    <h5 class="modal-title" id="ajoutElementModalLabel">Rajouter un élément</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div class="form-group">
        <label for="elemModal">Type de matériel à ajouter :</label>
        <input type="text" class="form-control" name="elemModal" placeholder="Nom du type"/>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
    <button type="button" class="btn btn-primary" onclick="ajoutType()">Ajouter</button>
</div>

<script type="text/javascript">
    function ajoutType() {
        type = $('input[name="elemModal"]').val();
        $('.modal .btn-primary').addClass('disabled');
        $.ajax({
            url: "{% url 'ajout_type_materiel' %}",
            data: {
                'type': type,
                'csrfmiddlewaretoken': '{{ csrf_token }}',
            },
            dataType: 'json',
            type: 'POST',
            success: function (data) {
                if (data['success']) {
                    $('.modal-body').html("<p>Type de matériel ajouté !</p>");
                    setTimeout(() => {
                        location.reload();
                    }, 500);
                } else {
                    alert("Erreur : Merci de recommencer la procédure !");
                    location.reload();
                }

            }
        });
    }
</script>